Loading...
Searching...
No Matches
_etmv3_isync_t Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types_etmv3.h>`

## Public Attributes

ocsd_iSync_reason | reason
struct { |
uint32_t has_cycle_count:1 |
uint32_t has_LSipAddress:1 |
uint32_t no_address:1 |
}; |  |

## Detailed Description

Definition at line 125 of file trc_pkt_types_etmv3.h.

## Member Data Documentation

## [struct]

struct { ... } _etmv3_isync_t

## has_cycle_count

uint32_t _etmv3_isync_t::has_cycle_count

updated cycle count

Definition at line 128 of file trc_pkt_types_etmv3.h.

## has_LSipAddress

uint32_t _etmv3_isync_t::has_LSipAddress

main address is load-store instuction, data address is overlapping instruction @ start of trace

Definition at line 129 of file trc_pkt_types_etmv3.h.

## no_address

uint32_t _etmv3_isync_t::no_address

data only ISync

Definition at line 130 of file trc_pkt_types_etmv3.h.

## reason

ocsd_iSync_reason _etmv3_isync_t::reason

Definition at line 126 of file trc_pkt_types_etmv3.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/opencsd/etmv3/trc_pkt_types_etmv3.h